Package ghidra.program.util

# Class RegisterTransitionFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.RegisterTransitionFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class RegisterTransitionFieldLocation extends ProgramLocation
ProgramLocation for the Register Field.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterTransitionFieldLocation()`
  Default constructor
  `RegisterTransitionFieldLocation(Program program, Address addr, String[] registerNames, int row, int column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Register`
  `getRegister()`
  `void`
  `restoreState(Program p, SaveState obj)`
  Restore this program location using the given program and save state object.
  `void`
  `saveState(SaveState obj)`
  Save this program location to the given save state object.

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, equals, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy, hashCode, isValid, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegisterTransitionFieldLocation

    public RegisterTransitionFieldLocation(Program program, Address addr, String[] registerNames, int row, int column)

  - ### RegisterTransitionFieldLocation

    public RegisterTransitionFieldLocation()
    Default constructor

- ## Method Details

  - ### getRegister

    public Register getRegister()

  - ### restoreState

    public void restoreState(Program p, SaveState obj)
    Description copied from class: `ProgramLocation`
    Restore this program location using the given program and save state object.
    Overrides:
      `restoreState` in class `ProgramLocation`
    Parameters:
      `p` - program to restore from
      `obj` - the save state to restore from

  - ### saveState

    public void saveState(SaveState obj)
    Description copied from class: `ProgramLocation`
    Save this program location to the given save state object.
    Overrides:
      `saveState` in class `ProgramLocation`
    Parameters:
      `obj` - the save state object for saving the location